# ReflectionClass::hasConstant

(PHP 5 >= 5.1.2, PHP 7)

ReflectionClass::hasConstant — Checks if constant is defined

### Description

public ReflectionClass::hasConstant ( string `$name` ) : bool

Checks whether the class has a specific constant defined or not.

### Parameters

`name`

  The name of the constant being checked for.

### Return Values

`TRUE` if the constant is defined, otherwise `FALSE`.

### Examples

Example #1 ReflectionClass::hasConstant() example

`<?php
class Foo {
const c1 = 1;
}
$class = new ReflectionClass("Foo");
var_dump($class->hasConstant("c1"));
var_dump($class->hasConstant("c2"));
?>`

The above example will output something similar to:

    bool(true)
    bool(false)

### See Also

- ReflectionClass::hasMethod() - Checks if method is defined
- ReflectionClass::hasProperty() - Checks if property is defined